if (typeof (window) != "undefined") {
    echo = window.alert;
} else if (typeof (WScript) != "undefined") {
    echo = function (text) {
        Wscript.Echo(text);
    }
} else {
    echo = console.log
}

stromkreis = new Object;
stromkreis.spannung = 230.0;
stromkreis.widerstand = 1000.0;
stromkreis.spannungLesen = function () {
    return this.spannung;
}
stromkreis.spannungSetzen = function (spannung) {
    this.spannung = spannung;
}
stromkreis.widerstandLesen = function () {
    return this.widerstand;
}
stromkreis.widerstandSetzen = function (widerstand) {
    if (widerstand > 0) this.widerstand = widerstand;
}
stromkreis.stromstaerkeLesen = function () {
    return this.spannungLesen() / this.widerstandLesen();
}
stromkreis.stromstaerkeSetzen = function (stromstaerke) {
    if (stromstaerke > 0) {
        this.widerstand = this.spannung / stromstaerke;
    }
}
stromkreis.leistungBerechnen = function () {
    return this.spannungLesen() * this.stromstaerkeLesen();
}
stromkreis.aus = function () {
    this.spannung = 0;
    echo("Der Stromkreis wurde abgeschaltet.");
}
stromkreis.stromstaerkeSetzen(1);
echo("Strom: " + stromkreis.stromstaerkeLesen() + "A");
echo("Leistung: " + stromkreis.leistungBerechnen() + "W");
echo("Widerstand: " + stromkreis.widerstandLesen() + "Ohm");
stromkreis.aus();
